Angular TextArea Component

The TextArea component for Angular represents a textarea widget with auto-complete capabilities.

1. Installation

The easiest way to get started with jQWidgets UI for Angular is to use the Angular CLI Tool. To scaffold your project structure, follow its installation instructions.

npm install -g @angular/cli
ng new jqwidgets-project
cd jqwidgets-project

Install jQWidgets

jQWidgets Angular UI comes packaged with Angular CLI schematics to make creating Angular applications easier. Schematics are included with both @angular/cdk and jqwidgets-ng. Once you install the npm packages, they will be available through the Angular CLI.

Angular CLI supports the addition of packages through the ng add command. The ng add command provides faster and more user-friendly package installation. To install the jQWidgets UI for Angular package, use ng add and add the name of the NPM package:

ng add jqwidgets-ng

Alternatively, you can use the standard installation (Manual Setup)

jQWidgets UI for Angular is distributed as jqwidgets-ng NPM package

  1. Download and install the package.
    npm install jqwidgets-ng
  2. Adding CSS reference

    The following CSS file is available in ../node_modules/jqwidgets-ng/ package folder. This can be referenced in [src/styles.css] using following code.

    @import 'jqwidgets-ng/jqwidgets/styles/jqx.base.css';

    Another way to achieve the same is to edit the angular.json file and in the styles add the style.

    "styles": [
    	"node_modules/jqwidgets-ng/jqwidgets/styles/jqx.base.css"
    ]
    

2. Add the HTML for jQWidgets component in src/app/app.component.html

app.component.html


<div style="height: 30px"></div>

<jqxTextArea 
	[theme]="'fluent'" [width]="300" [height]="90" [source]="generateSource"
	[minLength]="1" [placeHolder]="'Enter a sentence'">
</jqxTextArea>	

3. Setup Component Logic

app.component.ts


import { Component } from '@angular/core';

import { jqxTextAreaModule, jqxTextAreaComponent } from 'jqwidgets-ng/jqxtextarea';
@Component({
    selector: 'app-root',
    imports: [jqxTextAreaModule],
    standalone: true,
    templateUrl: './app.component.html'
})

export class AppComponent {
    generateSource(): string[] {
        let quotes: string[] = [];
        quotes.push('Life is a dream for the wise, a game for the fool, a comedy for the rich, a tragedy for the poor.');
        quotes.push('Yesterday is not ours to recover, but tomorrow is ours to win or lose.');
        quotes.push('It does not matter how slowly you go as long as you do not stop.');
        quotes.push('Success depends upon previous preparation, and without such preparation there is sure to be failure.');
        quotes.push('Better a diamond with a flaw than a pebble without.');
        quotes.push('To succeed in life, you need two things: ignorance and confidence.');
        quotes.push('A successful man is one who can lay a firm foundation with the bricks others have thrown at him.');
        quotes.push('Sleep is the best meditation.');

        return quotes;
    }
}

Summary

jQWidgets UI for Angular provides an easy way to integrate robust UI components into your Angular project. By using either the ng add command or manual setup, you can quickly get started. Once the setup is complete, you can add the desired jQWidgets components and configure them in your Angular components to match your application requirements.

TextArea API

API Reference of the jQWidgets TextArea component for Angular: TextArea API

React UI Components Documentation

ReactJS TextArea Component

The TextArea component for ReactJS represents a textarea widget with auto-complete capabilities.

Prerequisites

Refer to ReactJS Getting Started before you start with this help topic.

Configuration

The TextArea component for ReactJS requires the following imports.

 
import React from 'react';
import ReactDOM from 'react-dom';
import JqxTextArea from 'jqwidgets-react/react_jqxtextarea.js';

Then we create our component class. Properties and methods are put as ReactJS props.

  
class App extends React.Component {
render () {
let quotes = [];
quotes.push('Life is a dream for the wise, a game for the fool, a comedy for the rich, a tragedy for the poor.');
quotes.push('Yesterday is not ours to recover, but tomorrow is ours to win or lose.');
quotes.push('It does not matter how slowly you go as long as you do not stop.');
quotes.push('Success depends upon previous preparation, and without such preparation there is sure to be failure.');
quotes.push('Better a diamond with a flaw than a pebble without.');
quotes.push('To succeed in life, you need two things: ignorance and confidence.');
quotes.push('A successful man is one who can lay a firm foundation with the bricks others have thrown at him.');
quotes.push('Sleep is the best meditation.');
return (
<JqxTextArea
width={300} height={90} source={quotes}
minLength={1} placeHolder={'Enter a sentence'}
/>
)
}
}

Finally we render our class in the desired HTML element:

 
ReactDOM.render(<App />, document.getElementById('app'));

Events Methods & Properties

In order to bind to any event, change any property or call any method, we need a reference to the component.
For that we use the ReactJS "ref" Callback Attribute:

 
<JqxTextArea ref='myTextArea' width={300} height={90}...../>

Now, when we have a reference, we need to call the desired event/property/method.
This is done in the componentDidMount() ReactJS Component Lifecycle method.

 
class App extends React.Component {
componentDidMount()
{
//your logic
}
render ()
{
return
(
....
)
}
};

Events

The open event is triggered when the auto-suggest popup is opened.

The following example demonstrates how to add an event listener:

 
componentDidMount ()
{
this.refs.myTextArea.on('open', (event) =>
{
//your logic
});
}

Methods & Properties

This is how you call methods & props:

 
//Get Methods
let value = this.refs.myTextArea.val();
//Set Methods
this.refs.myTextArea.val('New Value');
//Get Properties
let height = this.refs.myTextArea.height();
//Set Properties
this.refs.myTextArea.height(50);

Every component have a method setOptions which accepts a object as an argument. This object contains component settings.

 
this.refs.myTextArea.setOptions({
opened: true, width: 300, height: 150
})

Every component also have a method getOptions which returns a object containing the component settings.

 
let options = this.refs.myTextArea.getOptions();

TextArea Examples

Overview

The following example demonstrates how to create a TextArea component.

Disabled TextArea

The following example demonstrates how to disable the TextArea component.

 
import React from 'react';
import ReactDOM from 'react-dom';
import JqxTextArea from 'jqwidgets-react/react_jqxtextarea.js';
class App extends React.Component {
render () {
return (
<JqxTextArea
disabled={true}
width={300} height={90}
placeHolder={'Enter a sentence'}
/>
)
}
}
ReactDOM.render(<App />, document.getElementById('app'));

TextArea API

API Reference of the jQWidgets TextArea component for React: TextArea API

Vue UI Components Documentation

Vue TextArea Component

The TextArea component for Vue represents a textarea widget with auto-complete capabilities.

Prerequisites

Refer to Vue Getting Started before you start with this help topic.

Configuration

After you have created your App.vue file, here is how you should structure it:

The TextArea component for Vue requires the following import:

import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue';

Add the jqxTextArea component to the components section of the the Vue class:

 components: {
JqxTextArea
},

Template

The App.vue has a <template> structural tag where we determine the application structure. There we will also set the tags for the new components - <JqxTextArea/>

<template>
<JqxTextArea :width="width" :height="height" :source="generateSource"
:placeHolder="placeHolder" :minLength="minLength">
</JqxTextArea>
</template>

Properties

The properties of the <JqxTextArea/> component are defined in the data member of the Vue class. We should put them in the return object of the data function:

data: function () {
return {
width: 300,
height: 100,
placeHolder: 'Enter a Sentence',
minLength: 1
}
}

Events

The events in Vue are set as an attribute with @ prefix, for example:

<JqxTextArea :open="onOpen()"
:width="width" :height="height" :source="generateSource"
:placeHolder="placeHolder" :minLength="minLength">
</JqxTextArea>

All events that are bound to a component are implemented in the methods member of the Vue class.

methods: {
onOpen: function () {
// Do something...
}
}

Methods

To use a component's method we should have its reference. In Vue we refer to a component by the special $refs property. Before that we need to add the desired name reference to that component:

<JqxTextArea ref="textarea"></JqxTextArea>

Here how you can use a component's method:

this.$refs.textarea.selectAll();

If we want to add additional methods we should also implement them in the methods member.

methods: {
// Add here all used callbacks and/or events
onOpen: function () {
// Do something...
this.refs.textarea.selectAll();
},
generateSource: function () {
const quotes = [];
quotes.push('Life is a dream for the wise, a game for the fool, a comedy for the rich, a tragedy for the poor.');
quotes.push('Yesterday is not ours to recover, but tomorrow is ours to win or lose.');
quotes.push('It does not matter how slowly you go as long as you do not stop.');
quotes.push('Success depends upon previous preparation, and without such preparation there is sure to be failure.');
quotes.push('Better a diamond with a flaw than a pebble without.');
quotes.push('To succeed in life, you need two things: ignorance and confidence.');
quotes.push('A successful man is one who can lay a firm foundation with the bricks others have thrown at him.');
quotes.push('Sleep is the best meditation.');
return quotes;
}
}

In case we need to do some precalculation or something else before the components are rendered, we should use the beforeCreate member. It depends on the case.

If you have followed the above steps, you App.vue file would look like this:

App.vue:

<template>
<JqxTextArea ref="textarea" :open="onOpen()"
:width="width" :height="height" :source="generateSource"
:placeHolder="placeHolder" :minLength="minLength">
</JqxTextArea>
</template>
<script>
// Import the components that will be used
import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue';
export default {
components: {
// Adding imported widgets here
JqxTextArea
},
data: function () {
// Define properties which will use in the widget
return {
width: 300,
height: 100,
placeHolder: 'Enter a Sentence',
minLength: 1
}
},
beforeCreate: function () {
// Add here any data where you want to transform before components be rendered
},
methods: {
// Add here all used callbacks and/or events
onOpen: function () {
// Do something...
this.refs.textarea.selectAll();
},
generateSource: function () {
const quotes = [];
quotes.push('Life is a dream for the wise, a game for the fool, a comedy for the rich, a tragedy for the poor.');
quotes.push('Yesterday is not ours to recover, but tomorrow is ours to win or lose.');
quotes.push('It does not matter how slowly you go as long as you do not stop.');
quotes.push('Success depends upon previous preparation, and without such preparation there is sure to be failure.');
quotes.push('Better a diamond with a flaw than a pebble without.');
quotes.push('To succeed in life, you need two things: ignorance and confidence.');
quotes.push('A successful man is one who can lay a firm foundation with the bricks others have thrown at him.');
quotes.push('Sleep is the best meditation.');
return quotes;
}
}
}
</script>
<style>
</style>

TextArea Example

<template>
<JqxTextArea ref="myTextArea"
:width="300" :height="100" :source="source"
:placeHolder="'Enter a Country'" :renderer="renderer" />
</template>
<script>
import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue';
export default {
components: {
JqxTextArea
},
data: function () {
return {
countries: ['Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil', 'Brunei', 'Bulgaria', 'Burkina Faso', 'Burma', 'Burundi', 'Cambodia', 'Cameroon', 'Canada', 'Cape Verde', 'Central African Republic', 'Chad', 'Chile', 'China', 'Colombia', 'Comoros', 'Congo, Democratic Republic', 'Congo, Republic of the', 'Costa Rica', 'Cote d\'Ivoire', 'Croatia', 'Cuba', 'Cyprus', 'Czech Republic', 'Denmark', 'Djibouti', 'Dominica', 'Dominican Republic', 'East Timor', 'Ecuador', 'Egypt', 'El Salvador', 'Equatorial Guinea', 'Eritrea', 'Estonia', 'Ethiopia', 'Fiji', 'Finland', 'France', 'Gabon', 'Gambia', 'Georgia', 'Germany', 'Ghana', 'Greece', 'Greenland', 'Grenada', 'Guatemala', 'Guinea', 'Guinea-Bissau', 'Guyana', 'Haiti', 'Honduras', 'Hong Kong', 'Hungary', 'Iceland', 'India', 'Indonesia', 'Iran', 'Iraq', 'Ireland', 'Israel', 'Italy', 'Jamaica', 'Japan', 'Jordan', 'Kazakhstan', 'Kenya', 'Kiribati', 'Korea, North', 'Korea, South', 'Kuwait', 'Kyrgyzstan', 'Laos', 'Latvia', 'Lebanon', 'Lesotho', 'Liberia', 'Libya', 'Liechtenstein', 'Lithuania', 'Luxembourg', 'Macedonia', 'Madagascar', 'Malawi', 'Malaysia', 'Maldives', 'Mali', 'Malta', 'Marshall Islands', 'Mauritania', 'Mauritius', 'Mexico', 'Micronesia', 'Moldova', 'Mongolia', 'Morocco', 'Monaco', 'Mozambique', 'Namibia', 'Nauru', 'Nepal', 'Netherlands', 'New Zealand', 'Nicaragua', 'Niger', 'Nigeria', 'Norway', 'Oman', 'Pakistan', 'Panama', 'Papua New Guinea', 'Paraguay', 'Peru', 'Philippines', 'Poland', 'Portugal', 'Qatar', 'Romania', 'Russia', 'Rwanda', 'Samoa', 'San Marino', ' Sao Tome', 'Saudi Arabia', 'Senegal', 'Serbia and Montenegro', 'Seychelles', 'Sierra Leone', 'Singapore', 'Slovakia', 'Slovenia', 'Solomon Islands', 'Somalia', 'South Africa', 'Spain', 'Sri Lanka', 'Sudan', 'Suriname', 'Swaziland', 'Sweden', 'Switzerland', 'Syria', 'Taiwan', 'Tajikistan', 'Tanzania', 'Thailand', 'Togo', 'Tonga', 'Trinidad and Tobago', 'Tunisia', 'Turkey', 'Turkmenistan', 'Uganda', 'Ukraine', 'United Arab Emirates', 'United Kingdom', 'United States', 'Uruguay', 'Uzbekistan', 'Vanuatu', 'Venezuela', 'Vietnam', 'Yemen', 'Zambia', 'Zimbabwe']
}
},
methods: {
source: function (query, response) {
const item = query.split(/,\s*/).pop();
// update the search query.
this.$refs.myTextArea.query = item;
response(this.countries);
},
renderer: function (itemValue, inputValue) {
const terms = inputValue.split(/,\s*/);
// remove the current input
terms.pop();
// add the selected item
terms.push(itemValue);
// add placeholder to get the comma-and-space at the end
terms.push('');
return terms.join(', ');
}
}
}
</script>

Run Code